USA Louisiana mDL Verification

Sample structures of the E_KYC_CHECK API responses for the USA Louisiana mDL Verification.

GREEN

The following response example represents successful checks.

{
    "checks": [
        {
            "answer": "GREEN",
            "checkType": "E_KYC_CHECK",
            "createdAt": "2026-10-16 19:04:42",
            "id": "b9592dfd-bfdc-4124-947d-cfd85afe580e",
            "sourceInfo": {
                "id": "usa_gov_mdl_la"
            },
            "inputDoc": {
                "idDocType": "OTHER",
                "country": "USA"
            },
            "extractedDoc": {
                "country": "USA",
                "idDocType": "DRIVERS",
                "number": "012467098",
                "firstName": "John",
                "middleName": "M",
                "lastName": "Doe",
                "gender": "M",
                "dob": "2003-10-31",
                "addresses": [
                    {
                        "subStreet": "APT 4B",
                        "street": "4321 ST CHARLES AVE",
                        "state": "LA",
                        "town": "NEW ORLEANS",
                        "postCode": "70115-0000",
                        "country": "USA",
                        "formattedAddress": "4321 ST CHARLES AVE, APT 4B, NEW ORLEANS, Louisiana, United States of America, 70115-0000",
                        "source": "externalDb"
                    }
                ],
                "issueDate": "2025-10-24",
                "validUntil": "2031-10-31",
                "images": [
                    {
                        "imageId": 939717516
                    }
                ]
            },
            "ekycCheckInfo": {
                "confirmationId": "H0so5Kz8MYg1uIy351pQ3aPo",
                "confirmationType": "oAuth"
            }
        }
    ]
}

YELLOW

The following example represents a case where the verification process is still in progress, and the applicant has not yet completed all required steps.

{
    "checks": [
        {
            "answer": "YELLOW",
            "checkType": "E_KYC_CHECK",
            "createdAt": "2026-11-03 12:18:16",
            "id": "fd3f0e7e-e5f7-4e6b-863a-2b2feee1f85b",
            "sourceInfo": {
                "id": "usa_gov_mdl_la"
            },
            "inputDoc": {
                "idDocType": "OTHER",
                "country": "USA"
            },
            "ekycCheckInfo": {
                "confirmationId": "zlBoEt579f8nNVrsxdwCy8Ke",
                "confirmationType": "oAuth"
            }
        }
    ]
}

RED

The following response example represents unsuccessful checks.

{
    "checks": [
        {
            "answer": "RED",
            "checkType": "E_KYC_CHECK",
            "createdAt": "2026-10-15 17:01:13",
            "id": "b92d87f7-b0cc-41bb-96db-e08e8bc091ef",
            "sourceInfo": {
                "id": "usa_gov_mdl_la"
            },
            "inputDoc": {
                "idDocType": "OTHER",
                "country": "USA"
            },
            "ekycCheckInfo": {
                "confirmationId": "NgMVryNj6mmb8JTIcPkolOxZ",
                "confirmationType": "oAuth"
            },
            "violations": [
                "AUTHORIZATION_DENIED"
            ]
        }
    ]
}

ERROR

The following example represents a case when an error occurred during the check.

{
    "checks": [
        {
            "answer": "ERROR",
            "checkType": "E_KYC_CHECK",
            "createdAt": "2026-10-13 12:28:48",
            "id": "b92d87f7-b0cc-41bb-96db-e08e8bc091ef",
            "sourceInfo": {
                "id": "usa_gov_mdl_la"
            },
            "inputDoc": {
                "idDocType": "OTHER",
                "country": "USA"
            },
            "ekycCheckInfo": {}
        }
    ]
}